const resolve = require('../../utils/resolve')

module.exports = function developmentConfig(options) {
  options = Object.assign({
    debug: false,
  }, options)

  return {
    babelrc: false,
    ignore: new RegExp(`node_modules/(?!(frontful-.*)/).*`, 'i'),
    presets: [
      ['babel-preset-env', {
        targets: {
          node: 6,
        },
        modules: 'commonjs',
        loose: false,
        useBuiltIns: false,
        debug: options.debug,
      }],
      'babel-preset-react',
    ].map(resolve),
    plugins: [
      'babel-plugin-transform-decorators-legacy',
      'babel-plugin-add-module-exports',
      'babel-plugin-transform-class-properties',
      'babel-plugin-transform-object-assign',
      'babel-plugin-transform-object-rest-spread',
      ['babel-plugin-transform-runtime', {
        helpers: true,
        polyfill: true,
        regenerator: true,
        moduleName: 'babel-runtime',
      }],
    ].map(resolve),
  }
}
